aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John Ross (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ARIES-1072) Bundle BREE headers must be converted to osgi.ee requirements for proper resolution at subsystem install time.
Date Fri, 27 Sep 2013 15:36:04 GMT

     [ https://issues.apache.org/jira/browse/ARIES-1072?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

John Ross updated ARIES-1072:
-----------------------------

    Labels: nextrelease  (was: )
    
> Bundle BREE headers must be converted to osgi.ee requirements for proper resolution at
subsystem install time.
> --------------------------------------------------------------------------------------------------------------
>
>                 Key: ARIES-1072
>                 URL: https://issues.apache.org/jira/browse/ARIES-1072
>             Project: Aries
>          Issue Type: Bug
>          Components: Subsystem
>    Affects Versions: 1.0
>            Reporter: John Ross
>            Assignee: John Ross
>              Labels: nextrelease
>
> Subsystems containing bundles that declare a BREE header with an unsupported environment
will currently resolve at install time then fail to start later because runtime resolution
fails. This failure should occur at install time.
> The BREE headers should be converted into osgi.ee requirements according to OSGi core
specification 3.4.1.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message